//
//  LiveRoomRightBottomButton.swift
//  SodaLive
//
//  Created by klaus on 2024/01/17.
//

import SwiftUI

struct LiveRoomRightBottomButton: View {
    
    let imageName: String
    let onClick: () -> Void
    
    var body: some View {
        Image(imageName)
            .resizable()
            .frame(width: 24, height: 24)
            .padding(10)
            .background(Color.gray52.opacity(0.6))
            .cornerRadius(10)
            .onTapGesture { onClick() }
    }
}

struct LiveRoomRightBottomButton_Previews: PreviewProvider {
    static var previews: some View {
        LiveRoomRightBottomButton(
            imageName: "ic_donation",
            onClick: {}
        )
    }
}
